%define pkg_name        File-MMagic
%define pkg_version     1.27
%define rpm_pkg_version 1.27
%define rpm_pkg_release 2.n0i.14

Summary:       A Perl module emulating the file(1) command
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KN/KNOK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module attempts to guess file type from its contents like file(1)
command: checktype_filename(), checktype_filehandle() and checktype_contents
returns string contains file type with MIME mediatype format.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path contrib/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc ChangeLog contrib/ COPYING README*


%changelog
* Sat Jun 09 2007 Marius Feraru <altblue@n0i.net> - 1.27-2.n0i.14
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Wed May 24 2006 Marius Feraru <altblue@n0i.net> - 1.27-1.n0i.13
- version 1.27

* Thu Feb 02 2006 Marius Feraru <altblue@n0i.net> 1.26-1.n0i.12
- version 1.26

* Thu Sep 01 2005 Marius Feraru <altblue@n0i.net> 1.25-1.n0i.11
- version 1.25
- switched back to makemaker

* Wed Aug 03 2005 Marius Feraru <altblue@n0i.net> 1.24-1.n0i.10
- version 1.24

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 1.22-3.n0i.9
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:1.22-2.n0i.8
- automatic rebuild (perl 5.8.6)

* Tue Nov 30 2004 Marius FERARU <altblue@n0i.net> 0:0.0.1-1.n0i.7
- version 0.0.1

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:1.22-2.n0i.6
- rebuild (perl 5.8.6)

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:1.22-1.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:1.22-1.n0i.4
- version 1.22

* Fri Jan 23 2004 Marius FERARU <altblue@n0i.net> 0:1.21-0.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:1.21-0.n0i.2
- version 1.21
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001

* Sat Oct 18 2003 Marius FERARU <altblue@n0i.net> 1.20-0.n0i
- version 1.20
- spec file (re?)created using N0i::CPAN::RPMizer/2003101101

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Aug  6 2002 Chip Turner <cturner@localhost.localdomain>
- update to 1.15

* Fri Dec 7 2001 root <root@redhat.com>
- Spec file was autogenerated.
